Bug 110663 - setuid root can be just setgid somegroup
setuid root can be just setgid somegroup
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
1
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-22 10:02 EST by Ales Ledvinka
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-09 05:43:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Ledvinka 2003-11-22 10:02:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.4b)
Gecko/20030516 Mozilla Firebird/0.6

Description of problem:
1st are:
/etc/shadow with chage

2nd are:
/etc/gshadow with gpasswd

3rd is up to somebody else to find more

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.minimal install fedora
2.reboot
3.login and ls -ld ...
    

Additional info:

how about this change?

groupadd shadow

chgrp shadow /etc/shadow
chmod g+r /etc/shadow

chgrp shadow /usr/bin/chage
chmod u-s,g+s /usr/bin/chage

groupadd gshadow

chgrp gshadow /etc/gshadow
chmod g+r /etc/gshadow

chgrp gshadow /usr/bin/gpasswd
chmod u-s,g+s /usr/bin/gshadow
Comment 1 Ales Ledvinka 2003-11-22 10:07:02 EST
g+r -> g+rw

Note You need to log in before you can comment on or make changes to this bug.